ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Coercion.Opt

Synopsis

- optCoercion :: OptCoercionOpts -> Subst -> Coercion -> NormalCo
- newtype OptCoercionOpts = OptCoercionOpts {
  - optCoercionEnabled :: Bool
  }

# Documentation

optCoercion :: OptCoercionOpts -> Subst -> Coercion -> NormalCo Source #

optCoercion applies a substitution to a coercion, *and* optimises it to reduce its size

newtype OptCoercionOpts Source #

Coercion optimisation options

Constructors

OptCoercionOpts |

Fields

- optCoercionEnabled :: Bool

  Enable coercion optimisation (reduce its size)